/*                               -*- Mode: C -*- 
 * user-decl-oprs-com.h -- 
 * 
 * Copyright (C) 1998-2000 LAAS/CNRS
 * 
 * Author          : Francois Felix Ingrand
 * Created On      : Wed Jun 10 09:16:04 1998
 * Last Modified By: Francois Felix Ingrand
 * Last Modified On: Tue Jul 25 12:01:44 2000
 * Update Count    : 6
 * Status          : OK
 * 
 * $Id$
 */

#ifndef INCLUDE_user_decl_oprs_com
#define INCLUDE_user_decl_oprs_com

typedef STATUS (*Client_Init) (CLIENT_ID *pClientId);

/* Pointer on decoding function taking a void * and returning a TermList... */
typedef Term *(*Decode_Func_Proto)(char *name, void *, int tabsize);

/* Pointer on encoding function taking a void *, an int and a TermList returning an int... */
typedef PBoolean (*Encode_Func_Proto)(char *name, Expression *tc, void *str, int tabsize);

#endif
