static const char* const rcsid = "$Id$";
/*                               -*- Mode: C -*- 
 * user-evaluable-predicate.c -- contains user defined evaluable predicate.
 * 
 * Copyright (C) 1991-2005 Francois Felix Ingrand
 * 
 * Author          : Francois Felix Ingrand
 * Created On      : Fri Aug  9 10:49:24 1991
 * Last Modified By: Francois Felix Ingrand
 * Last Modified On: Thu Jun 17 16:15:33 1999
 * Update Count    : 100
 * Status          : OK
 * 
 */

#include <stdio.h>

#include "opaque-pub.h"
#include "constant-pub.h"
#include "oprs-type-pub.h"
#include "user-ev-predicate.h"

#include "ev-predicate_f-pub.h"
#undef FREE

#include "portLib.h"
#include "csLib.h"

#include "user-decl-oprs-com.h"
#include "user-decl-oprs-com_f.h"
#include "oprs-com.h"
#include "oprs-com_f.h"

void declare_oprs_com_evaluable_predicate(void)
{
     make_and_declare_eval_pred("GET-REPLY-CHECK-COM",
				get_reply_and_check_com,
				0, TRUE);

     return;
}
