/*                               -*- Mode: C -*- 
 * user-action.c -- 
 * 
 * Copyright (C) 1994-2005 Francois Felix Ingrand
 * 
 * Author          : Francois Felix Ingrand
 * Created On      : Fri Apr 22 13:52:49 1994
 * Last Modified By: Francois Felix Ingrand
 * Last Modified On: Mon Jul 19 12:17:44 1999
 * Update Count    : 37
 * Status          : OK
 * 
 * $Id$
 * 
 */

#include <stdio.h>

#include "macro-pub.h"
#include "opaque-pub.h"
#include "constant-pub.h"
#include "oprs-type-pub.h"
#include "oprs-type_f-pub.h"

#include "user-action.h"

#include "action_f-pub.h"

#include "portLib.h"
#include "csLib.h"

#include "oprs-post_f.h"
#include "user-decl-oprs-post.h"
#include "user-decl-oprs-post_f.h"

void declare_oprs_post_user_action(void)
{
     make_and_declare_action("CREATE-POSTER",create_poster, 2);
     make_and_declare_action("WRITE-POSTER",write_poster, 2);
     make_and_declare_action("READ-POSTER",read_poster, 1);

     return;
}
